{ lib, ... }:
let
  mkHostOverride = lib.mkOverride 75;
in
{
  system.stateVersion = "24.11";

  desktop.enable = true;
  home-manager.users."lilith".desktop.touchSupport = false;

  gaming.enable = true;
  gaming.client-only = true;
  nfs.client.enable = true;
  auto_styling.enable = true;

  ollama.enable = false;

  home-manager.users."lilith".wayland.windowManager.hyprland.settings = {
    monitor = mkHostOverride [
      "eDP-1, 1920x1080, 0x0, 1"
      ", preferred, auto, 1"
    ];
  };
}
